"""Enumeration of convertible conversion timing for calculation purposes (e.g. does
the instrument convert based on pre or post money)."""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.1.0/schema/enums/ConversionTimingType.schema.json

from enum import Enum


class ConversionTimingType(Enum):
    """Enumeration of convertible conversion timing for calculation purposes (e.g. does
    the instrument convert based on pre or post money).
    """

    ENUM_PRE_MONEY = "PRE_MONEY"
    ENUM_POST_MONEY = "POST_MONEY"
