"""JSON containing file type identifier and list of stakeholders"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.1.0/schema/files/StakeholdersFile.schema.json

from pydantic import Field
from pyocf.objects.stakeholder import Stakeholder
from pyocf.primitives.files.file import FileObject
from typing import Annotated
from typing import Literal


class StakeholdersFile(FileObject):
    """JSON containing file type identifier and list of stakeholders"""

    items: Annotated[
        list[Stakeholder], Field(description="List of OCF stakeholder objects")
    ]
    file_type: Annotated[Literal["OCF_STAKEHOLDERS_FILE"], Field(description="")] = (
        "OCF_STAKEHOLDERS_FILE"
    )
