"""Object describing a stock legend template"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.1.0/schema/objects/StockLegendTemplate.schema.json

from pydantic import Field
from pyocf.primitives.objects.object import Object
from typing import Annotated
from typing import Literal
from typing import Optional


class StockLegendTemplate(Object):
    """Object describing a stock legend template"""

    object_type: Annotated[Literal["STOCK_LEGEND_TEMPLATE"], Field(description="")] = (
        "STOCK_LEGEND_TEMPLATE"
    )
    name: Annotated[str, Field(description="Name for the stock legend template")]
    text: Annotated[str, Field(description="The full text of the stock legend")]
    id: Annotated[str, Field(description="Identifier for the object")]
    comments: Optional[
        Annotated[
            list[str],
            Field(
                description="Unstructured text comments related to and stored for the object"
            ),
        ]
    ] = None
