"""Object describing a plan security cancellation (which is a compatibility wrapper
for Equity Compensation Cancellation)"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.1.0/schema/objects/transactions/cancellation/PlanSecurityCancellation.sch
# ema.json

from pydantic import Field
from pyocf.objects.transactions.cancellation.equitycompensationcancellation import (
    EquityCompensationCancellation,
)
from typing import Annotated
from typing import Literal


class PlanSecurityCancellation(EquityCompensationCancellation):
    """Object describing a plan security cancellation (which is a compatibility wrapper
    for Equity Compensation Cancellation)
    """

    object_type: Annotated[
        Literal["TX_PLAN_SECURITY_CANCELLATION"], Field(description="")
    ] = "TX_PLAN_SECURITY_CANCELLATION"
