"""Object describing plan security release transaction (a compatibility wrapper for
equity compensation release event"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.1.0/schema/objects/transactions/release/PlanSecurityRelease.schema.json

from pydantic import Field
from pyocf.objects.transactions.release.equitycompensationrelease import (
    EquityCompensationRelease,
)
from typing import Annotated
from typing import Literal


class PlanSecurityRelease(EquityCompensationRelease):
    """Object describing plan security release transaction (a compatibility wrapper for
    equity compensation release event
    """

    object_type: Annotated[
        Literal["TX_PLAN_SECURITY_RELEASE"], Field(description="")
    ] = "TX_PLAN_SECURITY_RELEASE"
