"""Object describing plan security transfer transaction (a compatibility wrapper
for equity compensation transfer event)"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.1.0/schema/objects/transactions/transfer/PlanSecurityTransfer.schema.json

from pydantic import Field
from pyocf.objects.transactions.transfer.equitycompensationtransfer import (
    EquityCompensationTransfer,
)
from typing import Annotated
from typing import Literal


class PlanSecurityTransfer(EquityCompensationTransfer):
    """Object describing plan security transfer transaction (a compatibility wrapper
    for equity compensation transfer event)
    """

    object_type: Annotated[
        Literal["TX_PLAN_SECURITY_TRANSFER"], Field(description="")
    ] = "TX_PLAN_SECURITY_TRANSFER"
