"""Object describing the terms under which a security vests"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.1.0/schema/objects/VestingTerms.schema.json

from pydantic import Field
from pyocf.enums.allocationtype import AllocationType
from pyocf.primitives.objects.object import Object
from pyocf.types.vesting.vestingcondition import VestingCondition
from typing import Annotated
from typing import Literal
from typing import Optional


class VestingTerms(Object):
    """Object describing the terms under which a security vests"""

    object_type: Annotated[Literal["VESTING_TERMS"], Field(description="")] = (
        "VESTING_TERMS"
    )
    name: Annotated[str, Field(description="Concise name for the vesting schedule")]
    description: Annotated[
        str, Field(description="Detailed description of the vesting schedule")
    ]
    allocation_type: Annotated[
        AllocationType,
        Field(description="Allocation/rounding type for the vesting schedule"),
    ]
    vesting_conditions: Annotated[
        list[VestingCondition],
        Field(
            description="Conditions and triggers that describe the graph of vesting schedules and events"
        ),
    ]
    id: Annotated[str, Field(description="Identifier for the object")]
    comments: Optional[
        Annotated[
            list[str],
            Field(
                description="Unstructured text comments related to and stored for the object"
            ),
        ]
    ] = None
