"""Abstract object to be extended by all other objects"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.1.0/schema/primitives/objects/Object.schema.json

from pydantic import BaseModel
from pydantic import Field
from pyocf.enums.objecttype import ObjectType
from typing import Annotated
from typing import Optional


class Object(BaseModel):
    """Abstract object to be extended by all other objects"""

    id: Annotated[str, Field(description="Identifier for the object")]
    comments: Optional[
        Annotated[
            list[str],
            Field(
                description="Unstructured text comments related to and stored for the object"
            ),
        ]
    ] = None
    object_type: Annotated[ObjectType, Field(description="Object type field")]
