"""Abstract object describing fields common to all cancellation transaction objects"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.1.0/schema/primitives/objects/transactions/cancellation/Cancellation.sche
# ma.json

from pydantic import BaseModel
from pydantic import Field
from typing import Annotated
from typing import Optional


class Cancellation(BaseModel):
    """Abstract object describing fields common to all cancellation transaction objects"""

    balance_security_id: Optional[
        Annotated[
            str,
            Field(
                description="Identifier for the security that holds the remainder balance (for partial"
                "cancellations)"
            ),
        ]
    ] = None
    reason_text: Annotated[str, Field(description="Reason for the cancellation")]
