"""Abstract object describing fields common to all exercise transaction objects"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.1.0/schema/primitives/objects/transactions/exercise/Exercise.schema.json

from pydantic import BaseModel
from pydantic import Field
from typing import Annotated
from typing import Optional


class Exercise(BaseModel):
    """Abstract object describing fields common to all exercise transaction objects"""

    consideration_text: Optional[
        Annotated[
            str,
            Field(
                description="Unstructured text description of consideration provided in exchange for security"
                "exercise"
            ),
        ]
    ] = None
    resulting_security_ids: Annotated[
        list[str],
        Field(
            description="Identifier for the security (or securities) that resulted from the exercise"
        ),
    ]
