"""Abstract object describing common properties to a repurchase transaction"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.1.0/schema/primitives/objects/transactions/repurchase/Repurchase.schema.j
# son

from pydantic import BaseModel
from pydantic import Field
from pyocf.types.monetary import Monetary
from pyocf.types.numeric import Numeric
from typing import Annotated
from typing import Optional


class Repurchase(BaseModel):
    """Abstract object describing common properties to a repurchase transaction"""

    price: Annotated[
        Monetary, Field(description="Repurchase price per share of the stock")
    ]
    quantity: Annotated[
        Numeric, Field(description="Number of shares of stock repurchased")
    ]
    consideration_text: Optional[
        Annotated[
            str,
            Field(
                description="Unstructured text description of consideration provided in exchange for security"
                "repurchase"
            ),
        ]
    ] = None
    balance_security_id: Optional[
        Annotated[
            str,
            Field(
                description="Identifier for the security that holds the remainder balance (for partial"
                "repurchases)"
            ),
        ]
    ] = None
