"""Abstract object describing a terminal transaction where securities return to a
stock plan pool"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.1.0/schema/primitives/objects/transactions/return_to_pool/ReturnToPool.sc
# hema.json

from pydantic import BaseModel
from pydantic import Field
from pyocf.types.numeric import Numeric
from typing import Annotated


class ReturnToPool(BaseModel):
    """Abstract object describing a terminal transaction where securities return to a
    stock plan pool
    """

    reason_text: Annotated[str, Field(description="Reason for the return to the pool")]
    quantity: Annotated[
        Numeric, Field(description="How many shares were returned to the pool?")
    ]
    stock_plan_id: Annotated[
        str,
        Field(
            description="Id of the Stock Plan whose pool the reserved shares should return to. This does"
            "not have to be the same pool the securities were issued from as sometimes plan"
            "rollovers or other actions taken by the company can result in stock returning to"
            "a different pool."
        ),
    ]
