"""Abstract transaction object to be extended by all other transaction objects"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.1.0/schema/primitives/objects/transactions/Transaction.schema.json

from pydantic import BaseModel
from pydantic import Field
from pyocf.types.date import Date
from typing import Annotated


class Transaction(BaseModel):
    """Abstract transaction object to be extended by all other transaction objects"""

    date: Annotated[Date, Field(description="Date on which the transaction occurred")]
