"""Abstract object describing a security transfer or secondary sale transaction"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.1.0/schema/primitives/objects/transactions/transfer/Transfer.schema.json

from pydantic import BaseModel
from pydantic import Field
from typing import Annotated
from typing import Optional


class Transfer(BaseModel):
    """Abstract object describing a security transfer or secondary sale transaction"""

    consideration_text: Optional[
        Annotated[
            str,
            Field(
                description="Unstructured text description of consideration provided in exchange for security"
                "transfer"
            ),
        ]
    ] = None
    balance_security_id: Optional[
        Annotated[
            str,
            Field(
                description="Identifier for the security that holds the remainder balance (for partial"
                "transfers)"
            ),
        ]
    ] = None
    resulting_security_ids: Annotated[
        list[str],
        Field(
            description="Array of identifiers for new security (or securities) created as a result of the"
            "transaction"
        ),
    ]
