"""Abstract type representation of required fields require for conversion rights
types."""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.1.0/schema/primitives/types/conversion_triggers/ConversionTrigger.schema.
# json

from pydantic import BaseModel
from pydantic import Field
from pyocf.enums.conversiontriggertype import ConversionTriggerType
from pyocf.types.conversion_rights.convertibleconversionright import (
    ConvertibleConversionRight,
)
from pyocf.types.conversion_rights.stockclassconversionright import (
    StockClassConversionRight,
)
from pyocf.types.conversion_rights.warrantconversionright import WarrantConversionRight
from typing import Annotated
from typing import Optional
from typing import Union


class ConversionTrigger(BaseModel):
    """Abstract type representation of required fields require for conversion rights
    types.
    """

    type: Annotated[
        ConversionTriggerType,
        Field(
            description="When the trigger condition is met, is the conversion automatic, elective or"
            "automatic with an elective right not to convert"
        ),
    ]
    trigger_id: Annotated[
        str,
        Field(
            description="Id for this conversion trigger, unique within list of ConversionTriggers in"
            "parent convertible issuance's `conversion_triggers` field."
        ),
    ]
    nickname: Optional[
        Annotated[
            str,
            Field(
                description="Human-friendly nickname to describe the conversion right"
            ),
        ]
    ] = None
    trigger_description: Optional[
        Annotated[str, Field(description="Long-form description of the trigger")]
    ] = None
    conversion_right: Annotated[
        Union[
            ConvertibleConversionRight,
            WarrantConversionRight,
            StockClassConversionRight,
        ],
        Field(
            discriminator="type",
            description="When the conditions of the trigger are met, how does the convertible convert?",
        ),
    ]
