"""Abstract type describing fields needed in all triggers types, with a \'trigger\'
being a condition that must be satisfied for a VestingCondition to be met"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.1.0/schema/primitives/types/vesting/VestingConditionTrigger.schema.json

from pydantic import BaseModel
from pydantic import Field
from pyocf.enums.vestingtriggertype import VestingTriggerType
from typing import Annotated


class VestingConditionTrigger(BaseModel):
    """Abstract type describing fields needed in all triggers types, with a \'trigger\'
    being a condition that must be satisfied for a VestingCondition to be met
    """

    type: Annotated[
        VestingTriggerType, Field(description="Identifies the sub-type of trigger")
    ]
