"""Sets forth inputs and conversion mechanism of a custom conversion, a conversion
type that cannot be accurately modelled with any other OCF conversion mechanism
type"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.1.0/schema/types/conversion_mechanisms/CustomConversionMechanism.schema.j
# son

from pydantic import Field
from pyocf.primitives.types.conversion_mechanisms.conversionmechanism import (
    ConversionMechanism,
)
from typing import Annotated
from typing import Literal


class CustomConversionMechanism(ConversionMechanism):
    """Sets forth inputs and conversion mechanism of a custom conversion, a conversion
    type that cannot be accurately modelled with any other OCF conversion mechanism
    type
    """

    type: Annotated[Literal["CUSTOM_CONVERSION"], Field(description="")] = (
        "CUSTOM_CONVERSION"
    )
    custom_conversion_description: Annotated[
        str,
        Field(
            description="Detailed description of how the number of resulting shares should be determined?"
            "Use legal language from an instrument where possible"
        ),
    ]
