"""Sets forth inputs and conversion mechanism of percent of capitalization
conversion (where an instrument purports to grant a percent of company
capitalization at some point in time)"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.1.0/schema/types/conversion_mechanisms/PercentCapitalizationConversionMec
# hanism.schema.json

from pydantic import Field
from pyocf.primitives.types.conversion_mechanisms.conversionmechanism import (
    ConversionMechanism,
)
from pyocf.types.capitalizationdefinitionrules import CapitalizationDefinitionRules
from pyocf.types.percentage import Percentage
from typing import Annotated
from typing import Literal
from typing import Optional


class PercentCapitalizationConversionMechanism(ConversionMechanism):
    """Sets forth inputs and conversion mechanism of percent of capitalization
    conversion (where an instrument purports to grant a percent of company
    capitalization at some point in time)
    """

    type: Annotated[
        Literal["FIXED_PERCENT_OF_CAPITALIZATION_CONVERSION"], Field(description="")
    ] = "FIXED_PERCENT_OF_CAPITALIZATION_CONVERSION"
    converts_to_percent: Annotated[
        Percentage,
        Field(
            description="What percentage of the company capitalization does this convert to"
        ),
    ]
    capitalization_definition: Optional[
        Annotated[
            str,
            Field(
                description="How is company capitalization defined for purposes of conversion? If possible,"
                "include the legal language from the instrument."
            ),
        ]
    ] = None
    capitalization_definition_rules: Optional[
        Annotated[
            CapitalizationDefinitionRules,
            Field(
                description="The rules for which types of securities would be included in the capitalization"
                "definition."
            ),
        ]
    ] = None
