"""Type representation of elective trigger on fulfillment of a condition."""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.1.0/schema/types/conversion_triggers/ElectiveConversionOnConditionTrigger
# .schema.json

from pydantic import Field
from pyocf.primitives.types.conversion_triggers.conversiontrigger import (
    ConversionTrigger,
)
from pyocf.types.conversion_rights.convertibleconversionright import (
    ConvertibleConversionRight,
)
from pyocf.types.conversion_rights.stockclassconversionright import (
    StockClassConversionRight,
)
from pyocf.types.conversion_rights.warrantconversionright import WarrantConversionRight
from typing import Annotated
from typing import Literal
from typing import Optional
from typing import Union


class ElectiveConversionOnConditionTrigger(ConversionTrigger):
    """Type representation of elective trigger on fulfillment of a condition."""

    trigger_condition: Annotated[
        str,
        Field(
            description="Legal language describing what conditions must be satisfied for the conversion"
            "to take place (ideally, this should be excerpted from the instrument where"
            "possible)"
        ),
    ]
    trigger_id: Annotated[
        str,
        Field(
            description="Id for this conversion trigger, unique within list of ConversionTriggers in"
            "parent convertible issuance's `conversion_triggers` field."
        ),
    ]
    nickname: Optional[
        Annotated[
            str,
            Field(
                description="Human-friendly nickname to describe the conversion right"
            ),
        ]
    ] = None
    trigger_description: Optional[
        Annotated[str, Field(description="Long-form description of the trigger")]
    ] = None
    type: Annotated[Literal["ELECTIVE_ON_CONDITION"], Field(description="")] = (
        "ELECTIVE_ON_CONDITION"
    )
    conversion_right: Annotated[
        Union[
            ConvertibleConversionRight,
            WarrantConversionRight,
            StockClassConversionRight,
        ],
        Field(
            discriminator="type",
            description="When the conditions of the trigger are met, how does the convertible convert?",
        ),
    ]
