"""Type representation of a file"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.1.0/schema/types/File.schema.json

from pydantic import BaseModel
from pydantic import Field
from pyocf.types.md5 import Md5
from typing import Annotated


class File(BaseModel):
    """Type representation of a file"""

    filepath: Annotated[
        str, Field(description="Path to the file within the OCF container")
    ]
    md5: Annotated[Md5, Field(description="MD5 file checksum")]
