"""Type representation of an interest rate, including accrual start and end dates"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.1.0/schema/types/InterestRate.schema.json

from pydantic import BaseModel
from pydantic import Field
from pyocf.types.date import Date
from pyocf.types.percentage import Percentage
from typing import Annotated
from typing import Optional


class InterestRate(BaseModel):
    """Type representation of an interest rate, including accrual start and end dates"""

    rate: Annotated[
        Percentage,
        Field(
            description="Interest rate for the convertible (decimal representation - e.g. 0.125 for"
            "12.5%)"
        ),
    ]
    accrual_start_date: Annotated[
        Date,
        Field(
            description="Commencement date for interest accruing at the specified rate"
        ),
    ]
    accrual_end_date: Optional[
        Annotated[
            Date,
            Field(
                description="Optional end date (inclusive) for interest accruing at the specified rate. If"
                "none specified, interest will accrue indefinitely or until accrual of next"
                "interest rate commences"
            ),
        ]
    ] = None
