"""Type representation of an amount of money in a specified currency"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.1.0/schema/types/Monetary.schema.json

from pydantic import BaseModel
from pydantic import Field
from pyocf.types.currencycode import CurrencyCode
from pyocf.types.numeric import Numeric
from typing import Annotated


class Monetary(BaseModel):
    """Type representation of an amount of money in a specified currency"""

    amount: Annotated[Numeric, Field(description="Numeric amount of money")]
    currency: Annotated[CurrencyCode, Field(description="ISO 4217 currency code")]
