"""Describes a vesting condition satisfied at the security\'s vesting commencement
date"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2023 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.1.0/schema/types/vesting/VestingStartTrigger.schema.json

from pydantic import Field
from pyocf.primitives.types.vesting.vestingconditiontrigger import (
    VestingConditionTrigger,
)
from typing import Annotated
from typing import Literal


class VestingStartTrigger(VestingConditionTrigger):
    """Describes a vesting condition satisfied at the security\'s vesting commencement
    date
    """

    type: Annotated[Literal["VESTING_START_DATE"], Field(description="")] = (
        "VESTING_START_DATE"
    )
